import React from 'react';
import { RedirectProps } from 'react-router-dom';
import { NamedLocation } from './utils';
export interface NamedRedirectProps<TParams = object> extends RedirectProps {
    to: string | NamedLocation;
    params?: TParams;
}
export declare const NamedRedirect: React.FC<NamedRedirectProps>;
