import React from 'react';
import { RouteChildrenProps } from 'react-router';
import { RouteProps } from 'react-router-dom';
import { NamedRouteConfig } from './NamedRouter';
interface AnyOtherProp {
    [key: string]: any;
}
export interface NamedRouteProps extends Omit<RouteProps, 'path'>, AnyOtherProp {
    name: string;
    children?: React.ReactNode;
}
export interface NamedRouteComponentProps extends RouteChildrenProps {
    route: NamedRouteConfig;
}
export declare const NamedRoute: React.FC<NamedRouteProps>;
export {};
